package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

public class APIDdmandOpenReleaseModel {
    //需求名称
    @NotEmpty
    @FieldDescriber(descripton = "需求名称")
    private String rqrmntName ;
    //需求说明
    @NotEmpty
    @FieldDescriber(descripton = "需求说明")
    private String rqrmntSummary;
    //系统名称
    @NotEmpty
    @FieldDescriber(descripton = "系统名称")
    private String systemName;
    //系统类型
    private String systemType;
    //系统描述：
    private String systemDesc;
    //所属单位：
    @NotEmpty
    @FieldDescriber(descripton = "所属单位")
    private String belongTo;
    //所有权：
    @NotNull(message="不能为空")
    @FieldDescriber(descripton = "所有权")
    private Byte hasOwnership;
    //访问地址：
    private String url;
    //开发语言：
    private String devLanguage;
    //网络性质：
    @NotEmpty
    @FieldDescriber(descripton = "网络性质")
    private String networkType;
    //接口个数
    @NotNull(message="不能为空")
    @FieldDescriber(descripton = "接口个数")
    private Integer interfaceCount;
    //截止日期：
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date deadline;
    //需求用户：
    private String rqrmntUser;
    //主联系人
    private String contact1;
    //主联系电话
    private String phone1;
    //备用联系人
    private String contact2;
    //备用联系电话
    private String phone2;
    //是否需要平台撮合交易
    @NotEmpty
    @FieldDescriber(descripton = "是否需要平台撮合交易")
    private String needPlatformSupport;
    //分类
    @NotNull(message="不能为空")
    @FieldDescriber(descripton = "接口个数")
    private Long categoryId;
    //预期报价
    private BigDecimal expectedQuote;
    //附件：
    private String attachmentAdd;
    //其他说明
    private String description;

    public String getRqrmntSummary() {
        return rqrmntSummary;
    }

    public void setRqrmntSummary(String rqrmntSummary) {
        this.rqrmntSummary = rqrmntSummary;
    }

    public String getSystemName() {
        return systemName;
    }

    public void setSystemName(String systemName) {
        this.systemName = systemName;
    }

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getSystemDesc() {
        return systemDesc;
    }

    public void setSystemDesc(String systemDesc) {
        this.systemDesc = systemDesc;
    }

    public String getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(String belongTo) {
        this.belongTo = belongTo;
    }

    public Byte getHasOwnership() {
        return hasOwnership;
    }

    public void setHasOwnership(Byte hasOwnership) {
        this.hasOwnership = hasOwnership;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getDevLanguage() {
        return devLanguage;
    }

    public void setDevLanguage(String devLanguage) {
        this.devLanguage = devLanguage;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public Integer getInterfaceCount() {
        return interfaceCount;
    }

    public void setInterfaceCount(Integer interfaceCount) {
        this.interfaceCount = interfaceCount;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public String getRqrmntUser() {
        return rqrmntUser;
    }

    public void setRqrmntUser(String rqrmntUser) {
        this.rqrmntUser = rqrmntUser;
    }

    public String getContact1() {
        return contact1;
    }

    public void setContact1(String contact1) {
        this.contact1 = contact1;
    }

    public String getPhone1() {
        return phone1;
    }

    public void setPhone1(String phone1) {
        this.phone1 = phone1;
    }

    public String getContact2() {
        return contact2;
    }

    public void setContact2(String contact2) {
        this.contact2 = contact2;
    }

    public String getPhone2() {
        return phone2;
    }

    public void setPhone2(String phone2) {
        this.phone2 = phone2;
    }

    public String getNeedPlatformSupport() {
        return needPlatformSupport;
    }

    public void setNeedPlatformSupport(String needPlatformSupport) {
        this.needPlatformSupport = needPlatformSupport;
    }

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public BigDecimal getExpectedQuote() {
        return expectedQuote;
    }

    public void setExpectedQuote(BigDecimal expectedQuote) {
        this.expectedQuote = expectedQuote;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getRqrmntName() {
        return rqrmntName;
    }

    public void setRqrmntName(String rqrmntName) {
        this.rqrmntName = rqrmntName;
    }

    public String getAttachmentAdd() {
        return attachmentAdd;
    }

    public void setAttachmentAdd(String attachmentAdd) {
        this.attachmentAdd = attachmentAdd;
    }
}
